Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlRect Class Reference

`#include <GlRect.h>`

Inherits tlp::GlPolygon.

Inheritance diagram for tlp::GlRect:

[legend]
Collaboration diagram for tlp::GlRect:

[legend]
List of all members.

## Detailed Description

This is a general class for the rendering of 2D rectangles.

This class is used as a 2D HUD for the rendering of 2D rectangles.

## Public Member Functions

- GlRect (const Coord &topLeftPos, const Coord &bottomRightPos, const Color &topLeftCol, const Color &bottomRightCol, bool filled=true, bool outlined=false)
- GlRect (bool filled=true, bool outlined=false)
- virtual ~GlRect ()
- virtual Coord getCenter ()
- virtual Coord getTopLeftPos ()
- virtual Coord getBottomRightPos ()
- virtual Color getTopLeftColor ()
- virtual Color getBottomRightColor ()
- virtual void setTopLeftPos (const Coord &topLeftPos)
- virtual void setBottomRightPos (const Coord &bottomRightPos)
- virtual void setTopLeftColor (const Color &topLeftCol)
- virtual void setBottomRightColor (const Color &bottomRightCol)
- bool inRect (double x, double y)
- virtual void getXML (xmlNodePtr rootNode)
- virtual void setWithXML (xmlNodePtr rootNode)
- virtual void draw (float lod, Camera *camera)

## Protected Attributes

- Coord topLeftPos
- Coord bottomRightPos
- Color topLeftCol
- Color bottomRightCol

## Constructor & Destructor Documentation

tlp::GlRect::GlRect | ( | const Coord & | topLeftPos,
|  | const Coord & | bottomRightPos,
|  | const Color & | topLeftCol,
|  | const Color & | bottomRightCol,
|  | bool | filled = `true`,
|  | bool | outlined = `false`
| ) |

| Constructor

tlp::GlRect::GlRect | ( | bool | filled = `true`,
|  | bool | outlined = `false`
| ) |

virtual tlp::GlRect::~GlRect | ( |  | ) | `[virtual]`

| Destructor

## Member Function Documentation

virtual void tlp::GlRect::draw | ( | float | lod,
|  | Camera * | camera
| ) | `[virtual]`

| Draw the GlRect Reimplemented from tlp::GlPolygon.

virtual Color tlp::GlRect::getBottomRightColor | ( |  | ) | `[virtual]`

| Accessor in reading to the Bottom Right Corner Color of the Rectangle

virtual Coord tlp::GlRect::getBottomRightPos | ( |  | ) | `[virtual]`

| Accessor in reading to the Bottom Right Corner of the rectangle

virtual Coord tlp::GlRect::getCenter | ( |  | ) | `[virtual]`

| Accessor in reading to the Top Left Corner of the rectangle

virtual Color tlp::GlRect::getTopLeftColor | ( |  | ) | `[virtual]`

| Accessor in reading to the Top Left Corner Color of the rectangle

virtual Coord tlp::GlRect::getTopLeftPos | ( |  | ) | `[virtual]`

| Accessor in reading to the Top Left Corner of the rectangle

virtual void tlp::GlRect::getXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

| Function to export data in XML Reimplemented from tlp::GlPolygon.

bool tlp::GlRect::inRect | ( | double | x,
|  | double | y
| ) |

| Is the point in the rectangle ?

virtual void tlp::GlRect::setBottomRightColor | ( | const Color & | bottomRightCol | ) | `[virtual]`

| Accessor in writing to the Bottom Right Corner Color of the rectangle

virtual void tlp::GlRect::setBottomRightPos | ( | const Coord & | bottomRightPos | ) | `[virtual]`

| Accessor in writing to the Bottom Right Corner Color of the rectangle

virtual void tlp::GlRect::setTopLeftColor | ( | const Color & | topLeftCol | ) | `[virtual]`

| Accessor in writing to the Top Left Corner of the rectangle

virtual void tlp::GlRect::setTopLeftPos | ( | const Coord & | topLeftPos | ) | `[virtual]`

| Accessor in writing to the Top Left Corner of the rectangle

virtual void tlp::GlRect::setWithXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

| Function to set data with XML Reimplemented from tlp::GlPolygon.

## Member Data Documentation

Color tlp::GlRect::bottomRightCol`[protected]`

| Bottom Right color of the rectangle

Coord tlp::GlRect::bottomRightPos`[protected]`

| Bottom Right coordinate of the rectangle

Color tlp::GlRect::topLeftCol`[protected]`

| Top Left color of the rectangle

Coord tlp::GlRect::topLeftPos`[protected]`

| Top Left coordinate of the rectangle

Tulip Software by LaBRI Visualization Team 2001 - 2010